class Class1:
    def zad_zn(self, znach):
        self.data = znach
    def otobrazh(self):
        print(self.data)

class Class2(Class1):
    def otobrazh(self):
        print("Значение =", self.data)

def otobrazh(obj):
    print("Значение объекта =", obj)
